package com.loafle.overflow.central.module.infra.service;

import com.loafle.overflow.central.module.infra.dao.InfraHostApplicationDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.infra.InfraHostApplication;
import com.loafle.overflow.service.central.infra.InfraHostApplicationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 6. 28.
 */

@Service("InfraHostApplicationService")
public class CentralInfraHostApplicationService implements InfraHostApplicationService {
  @Autowired
  InfraHostApplicationDAO infraHostApplicationDAO;

  public InfraHostApplication regist(InfraHostApplication infraHostApplication) throws OverflowException {
    return this.infraHostApplicationDAO.save(infraHostApplication);
  }

  public InfraHostApplication read(Long id) throws OverflowException {
    return this.infraHostApplicationDAO.findById(id).get();
  }
}
