package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaDisplayItemDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaDisplayItem;
import com.loafle.overflow.service.central.meta.MetaDisplayItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by insanity on 17. 9. 20.
 */
@Service("MetaDisplayItemService")
public class CentralMetaDisplayItemService implements MetaDisplayItemService {
   @Autowired
   private MetaDisplayItemDAO metaDisplayItemDAO;

  @Override
  public MetaDisplayItem regist(MetaDisplayItem metaDisplayItem) throws OverflowException {
    return this.metaDisplayItemDAO.save(metaDisplayItem);
  }

  @Override
  public List<MetaDisplayItem> readAll() throws OverflowException {
    return this.metaDisplayItemDAO.findAll();
  }
}
