package com.loafle.overflow.central.module.domain.dao;

import static org.junit.Assert.assertNotNull;

import java.util.List;

import com.loafle.overflow.central.spring.AppConfigTest;
import com.loafle.overflow.model.domain.Domain;
import com.loafle.overflow.model.member.Member;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * Created by snoop on 17. 9. 14.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfigTest.class})
public class DomainMemberDAOTest {

    @Autowired
    private DomainMemberDAO domainMemberDAO;

    @Test
    public void findDomainByMemberEmail() throws Exception {

        Domain domain = this.domainMemberDAO.findDomainByMemberEmail("overflow@loafle.com");

        assertNotNull(domain);
    }

    @Test
    public void findAllMemberByDomainId() throws Exception {

        List<Member> members = this.domainMemberDAO.findAllMemberByDomainId(Long.valueOf(1));

        assertNotNull(members);
    }
}
