package com.loafle.overflow.central.module.meta.dao;

import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaCollectionItemMapping;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface MetaCollectionItemMappingDAO extends JpaRepository<MetaCollectionItemMapping, Short> {
  List<MetaCollectionItemMapping> findAllByMetaDisplayItemMappingId(Long metaDisplayItemMappingID) throws OverflowException;

  List<MetaCollectionItemMapping> findAllByMetaCollectionItemId(Long metaCollectionItemID) throws OverflowException;
}
